	
//动态添加tabs
//传过来的参数
//javascript:addTab({title:'Treegrid树形网格',href:'treeGrid.html',closable:true})
function addTab(opts) {
	var t = $('#layout_center_tabs');
	if (t.tabs('exists', opts.title)) {
		t.tabs('select', opts.title);
	} else {
		t.tabs('add', opts);
	}
}

$(function() {
	var layout_center_tabs = $('#layout_center_tabs').tabs({
		onContextMenu : function(e, title, index) {
			e.preventDefault();
			$('#layout_center_menu').menu('show', {
				left : e.pageX,
				top : e.pageY
			}).data("tabTitle", title);
		},
		tools : [ {
			iconCls : 'arrow_up',
			handler : function() {
				layout_center_tabs.tabs({
					tabPosition : 'top'
				});
			}
		}, {
			iconCls : 'arrow_left',
			handler : function() {
				layout_center_tabs.tabs({
					tabPosition : 'left'
				});
			}
		}, {
			iconCls : 'arrow_down',
			handler : function() {
				layout_center_tabs.tabs({
					tabPosition : 'bottom'
				});
			}
		}, {
			iconCls : 'arrow_right',
			handler : function() {
				layout_center_tabs.tabs({
					tabPosition : 'right'
				});
			}
		}, {
			text : '刷新',
			iconCls : 'arrow_refresh',
			handler : function() {
				var tab = layout_center_tabs.tabs('getSelected'); // get selected panel
				tab.panel('refresh');
			}
		}, {
			text : '关闭',
			iconCls : 'cross',
			handler : function() {
				var tab = layout_center_tabs.tabs('getSelected'); // get selected panel
				if (tab.panel('options').closable) {
					layout_center_tabs.tabs('close', layout_center_tabs.tabs('getTabIndex', tab));
				} else {
					$.messager.alert('提示', '[' + tab.panel('options').title + ']不可以被关闭！', 'error');
				}

			}
		} ]
	});

	$("#layout_center_menu").menu({
		onClick : function(item) {
			closeTab(this, item.name);
		}
	});
});

function layout_center_refresh() {
	var tab = $('#layout_center_tabs').tabs('getSelected'); // get selected panel
	tab.panel('refresh');
}

//删除Tabs
function closeTab(menu, type) {
	var tabObj = $("#layout_center_tabs");
	var allTabs = tabObj.tabs('tabs');
	var allTabtitle = [];
	$.each(allTabs, function(i, n) {
		var opt = $(n).panel('options');
		if (opt.closable) {
			allTabtitle.push(opt.title);
		}
	});
	var curTabTitle = $(menu).data("tabTitle");
	var curTabIndex = tabObj.tabs("getTabIndex", tabObj.tabs("getTab", curTabTitle));
	switch (type) {
	case "1":
		if (curTabTitle == '首页') {
			$.messager.alert('提示', '[首页]不可以被关闭！', 'error');
		} else {
			tabObj.tabs("close", curTabTitle);
		}
		return false;
		break;
	case "2":
		for (var i = 0; i < allTabtitle.length; i++) {
			tabObj.tabs('close', allTabtitle[i]);
		}
		break;
	case "3":
		for (var i = 0; i < allTabtitle.length; i++) {
			if (curTabTitle != allTabtitle[i])
				tabObj.tabs('close', allTabtitle[i]);
		}
		tabObj.tabs('select', curTabTitle);
		break;
	case "4":
		for (var i = curTabIndex; i < allTabtitle.length; i++) {
			tabObj.tabs('close', allTabtitle[i]);
		}
		tabObj.tabs('select', curTabTitle);
		break;
	case "5":
		for (var i = 0; i < curTabIndex - 1; i++) {
			tabObj.tabs('close', allTabtitle[i]);
		}
		tabObj.tabs('select', curTabTitle);
		break;
	}
}