	//动态添加tabs
	//传过来的参数
	//{title:'',href:'',closable:false/true}
	function addTab(opts){
		var tab = $('#easyuiTabs');
		if($("#easyuiTabs").tabs("exists",opts.title)){	
                //存在时选中该tab
                tab.tabs("select",opts.title);
         }
         else{
         		tab.tabs('add',opts)
         }
	}
		
	$(function(){
		var selectIndex=0;
		//点击tabs时触发的事件
		var easyUiTab=$('#easyuiTabs').tabs({
		  //??????????????
		  //加载成功后触发
		  onLoad:function(){
		  	//获得选中的tabs
		   	//var tabIndex= $('#easyuiTabs').tabs('getSelected');
		 	//获得选中tabs的索引
			// var index = $('#easyuiTabs').tabs('getTabIndex',tabIndex);
		   	//根据索引获得该索引的tabs
		   	// var tabs=$('#easyuiTabs').tabs('getTab',index);
		   	//获得选中的tabs
		   	var tabs= $('#easyuiTabs').tabs('getSelected');
		   	//获得需要渲染的代码的内容
		   	var results=$(tabs).find('textarea').val();
		 	//渲染结果
		 	$('#result').html(results);
		 	//样式重新渲染一遍
		 	$.parser.parse($('#result'));
		  },
		  onAdd:function(title,index){
		  	//alert("add"+title)
		  },
		  //当用户被选择时
		  onSelect: function(title,index){
		  	//如果点击tools时
		  	if(selectIndex!=0){
		  		tabs=$('#easyuiTabs').tabs('select',selectIndex);
		  		selectIndex=0;
		  	}
		  	//如果没有点击tools时
		  	else{
		  	var tabs=$('#easyuiTabs').tabs('getTab',index);
		  	var results=$(tabs).find('textarea').val();
		  	//console.log($('#result').html())
		  	// if ($('#result').html()!='') {
		  		$('#result').html('');
		  		$('#result').html(results)
		  		$.parser.parse($('#result'));
		  	//};
		  	}
		  },
		  //右键tabs触发的事件
		  onContextMenu:function(e, title,index	){
		  	//阻止冒泡
		  	e.preventDefault();
		  	$('#layout_center_menu').menu('show', {
			  left: e.pageX,
			  top: e.pageY
			}).data("tabTitle", title);
		
		  },
		  //tabs被关闭前触发,返回false就取消关闭
		  onBeforeClose:function(title,index){
		  	  if(title=='首页'){
		  	  	// alert('首页不能删除')
		  	  	return false;
		  	  }
		  },
		  //显示工具栏
		  tools:[
		  	{
		  		iconCls : 'arrow_up',
				handler : function() {
					//把选中的tabs的index赋值给selectIndex
					var tab= $('#easyuiTabs').tabs('getSelected');
					var index=$('#easyuiTabs').tabs('getTabIndex',tab);
					selectIndex=index;
					easyUiTab.tabs({
						tabPosition : 'top'
					});

				}
		  	},
		  	{
		  		iconCls : 'arrow_left',
				handler : function() {
					var tab= $('#easyuiTabs').tabs('getSelected');
					var index=$('#easyuiTabs').tabs('getTabIndex',tab);
					selectIndex=index;
					easyUiTab.tabs({
						tabPosition : 'left'
					});
				}
		  	},
		  	{
		  		iconCls : 'arrow_down',
				handler : function() {
					var tab= $('#easyuiTabs').tabs('getSelected');
					var index=$('#easyuiTabs').tabs('getTabIndex',tab);
					selectIndex=index;
					easyUiTab.tabs({
						tabPosition : 'bottom'
					});
				}
		  	},
		  	{
		  		iconCls : 'arrow_right',
				handler : function() {
					var tab= $('#easyuiTabs').tabs('getSelected');
					var index=$('#easyuiTabs').tabs('getTabIndex',tab);
					selectIndex=index;
					easyUiTab.tabs({
						tabPosition : 'right'
					});
				}
		  	},
		  	{
				text : '刷新',
				iconCls : 'arrow_refresh',
				handler : function() {
					var tab=easyUiTab.tabs('getSelected');
					tab.panel('refresh');
				}
			},
			{
				text : '关闭',
				iconCls : 'cross',
				handler : function() {
				var tab=easyUiTab.tabs('getSelected');
				if(tab.panel('options').closable){
					easyUiTab.tabs('close',easyUiTab.tabs('getTabIndex',tab));
				}
				else{
					alert(tab.panel('options').title+'不可以被关闭!')
				}
				

				}
			} 
		  ]
		});

		$("#layout_center_menu").menu({
			//绑定菜单的点击事件
			onClick : function(item) {
				closeTab(this,item.name);
			}
		});

	})

	function closeTab(menu,type){
		var tabObj = $("#easyuiTabs");
		//获得所有的tabs
		var allTabs = tabObj.tabs('tabs');
		var allTabTitle = [];
		$(allTabs).each(function(index,e){
			var opt = $(e).panel('options');
			if (opt.closable) {
				allTabTitle.push(opt.title);
			}
		});
		var curTabTitle=$(menu).data('tabTitle');
		var curTabIndex=tabObj.tabs('getTabIndex',tabObj.tabs('getTab',curTabTitle))

		switch(type){
			//关闭
			case '1' :
				if(curTabTitle=='首页'){
					alert('首页不能删除');
				}
				else{
					tabObj.tabs('close',curTabTitle);
				}
			break;
			//全部关闭
			case "2":
				for(var i=0;i<allTabTitle.length;i++){
					tabObj.tabs('close',allTabTitle[i]);
				}
			break;
			//除此之外全部关闭
			case "3":
				for(var i=0;i<allTabTitle.length;i++){
					if(curTabTitle!=allTabTitle[i]){
						tabObj.tabs('close',allTabTitle[i]);
					}
				}
				tabObj.tabs('select', curTabTitle);
			break;
			//右侧全部关闭
			case "4":
				for (var i = curTabIndex+1; i<allTabTitle.length; i++) {
					tabObj.tabs('close',allTabTitle[i]);
				}
				tabObj.tabs('select', curTabTitle);
			break;
			//左侧全部关闭
			case "5":
				for (var i=0;i<curTabIndex;i++) {
					tabObj.tabs('close',allTabTitle[i]);
				};
				tabObj.tabs('select', curTabTitle);
			break;
		}
	
	}
